## org.eclipse.xsd
Enum XSDComplexFinal

    java.lang.Object
      java.lang.Enum<XSDComplexFinal>
          org.eclipse.xsd.XSDComplexFinal

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDComplexFinal>, Enumerator

    public enum XSDComplexFinal

extends java.lang.Enum<XSDComplexFinal>
implements Enumerator

A representation of the literals of the enumeration 'Complex Final'.

See Also:
  `XSDComplexTypeDefinition.getFinal()`, `XSDComplexTypeDefinition.getLexicalFinal()`, `XSDPackage.getXSDComplexFinal()`

Enum Constant Summary
`ALL_LITERAL` The 'All' literal object
`EXTENSION_LITERAL` The 'Extension' literal object
`RESTRICTION_LITERAL` The 'Restriction' literal object

Field Summary
`static int` `ALL` The 'All' literal value
`static int` `EXTENSION` The 'Extension' literal value
`static int` `RESTRICTION` The 'Restriction' literal value
`static java.util.List<XSDComplexFinal>` `VALUES` A public read-only list of all the 'Complex Final' enumerators

Method Summary
`static XSDComplexFinal` `get(int value)` Returns the 'Complex Final' literal with the specified integer value
`static XSDComplexFinal` `get(java.lang.String literal)` Returns the 'Complex Final' literal with the specified literal value
`static XSDComplexFinal` `getByName(java.lang.String name)` Returns the 'Complex Final' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDComplexFinal` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDComplexFinal[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTENSION_LITERAL

    public static final XSDComplexFinal EXTENSION_LITERAL

  The 'Extension' literal object.

  See Also:
    `EXTENSION`

### RESTRICTION_LITERAL

    public static final XSDComplexFinal RESTRICTION_LITERAL

  The 'Restriction' literal object.

  See Also:
    `RESTRICTION`

### ALL_LITERAL

    public static final XSDComplexFinal ALL_LITERAL

  The 'All' literal object.

  See Also:
    `ALL`

Field Detail

### EXTENSION

    public static final int EXTENSION

  The 'Extension' literal value.

  This is used to indicate that no derivation via extension is allowed for a complex type definition.

  See Also:
    `EXTENSION_LITERAL`, Constant Field Values

### RESTRICTION

    public static final int RESTRICTION

  The 'Restriction' literal value.

  This is used to indicate that no derivation via restriction is allowed for a complex type definition.

  See Also:
    `RESTRICTION_LITERAL`, Constant Field Values

### ALL

    public static final int ALL

  The 'All' literal value.

  This is used to indicate that no derivation is allowed for a complex type definition. It is literally expanded to extension and restriction in the infoset model.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDComplexFinal> VALUES

  A public read-only list of all the 'Complex Final' enumerators.

Method Detail

### values

    public static final XSDComplexFinal[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDComplexFinal c : XSDComplexFinal.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDComplexFinal valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDComplexFinal get(java.lang.String literal)

  Returns the 'Complex Final' literal with the specified literal value.

### getByName

    public static XSDComplexFinal getByName(java.lang.String name)

  Returns the 'Complex Final' literal with the specified name.

### get

    public static XSDComplexFinal get(int value)

  Returns the 'Complex Final' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDComplexFinal>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.